Public Member Functions | Public Attributes | List of all members
RagTime5ParserInternal::State Struct Reference

Internal: the state of a RagTime5Parser. More...

## Public Member Functions
| State ()
| constructor More...

## Public Attributes
MWAWEntry | m_zonesEntry
| the main zone entry More...
std::vector< shared_ptr< RagTime5Zone > > | m_zonesList
| the zone list More...
std::map< int, std::string > | m_idToTypeMap
| a map id to type string More...
shared_ptr< RagTime5Zone > | m_zoneInfo
| the zone info zone (ie. the first zone) More...
std::map< int, shared_ptr< RagTime5Zone > > | m_dataIdZoneMap
| a map: data id->entry (datafork) More...
std::map< int, std::vector< int > > | m_pageZonesIdMap
| a map: page->main zone id More...
std::set< int > | m_sendZoneSet
| a set used to avoid looping when sending zone More...
bool | m_hasLayout
| a flag to know if the file has some layout More...
int | m_actPage
| the actual page More...
int | m_numPages
| the number of page of the final document More...
int | m_headerHeight
| the header height if known More...
int | m_footerHeight
| the footer height if known More...

## Detailed Description

Internal: the state of a RagTime5Parser.

## Constructor & Destructor Documentation

## ◆ State()

RagTime5ParserInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_actPage

int RagTime5ParserInternal::State::m_actPage

the actual page

## ◆ m_dataIdZoneMap

std::map<int, shared_ptr<RagTime5Zone> > RagTime5ParserInternal::State::m_dataIdZoneMap

a map: data id->entry (datafork)

## ◆ m_footerHeight

int RagTime5ParserInternal::State::m_footerHeight

the footer height if known

## ◆ m_hasLayout

bool RagTime5ParserInternal::State::m_hasLayout

a flag to know if the file has some layout

## ◆ m_headerHeight

int RagTime5ParserInternal::State::m_headerHeight

the header height if known

## ◆ m_idToTypeMap

std::map<int, std::string> RagTime5ParserInternal::State::m_idToTypeMap

a map id to type string

## ◆ m_numPages

int RagTime5ParserInternal::State::m_numPages

the number of page of the final document

## ◆ m_pageZonesIdMap

std::map<int, std::vector<int> > RagTime5ParserInternal::State::m_pageZonesIdMap

a map: page->main zone id

## ◆ m_sendZoneSet

std::set<int> RagTime5ParserInternal::State::m_sendZoneSet

a set used to avoid looping when sending zone

## ◆ m_zoneInfo

shared_ptr<RagTime5Zone> RagTime5ParserInternal::State::m_zoneInfo

the zone info zone (ie. the first zone)

## ◆ m_zonesEntry

MWAWEntry RagTime5ParserInternal::State::m_zonesEntry

the main zone entry

## ◆ m_zonesList

std::vector<shared_ptr<RagTime5Zone> > RagTime5ParserInternal::State::m_zonesList

the zone list

The documentation for this struct was generated from the following file:

- RagTime5Parser.cxx